Package twisted :: Package protocols :: Module policies :: Class SpewingFactory

[show private | hide private]
[frames | no frames]

## Class SpewingFactory

      Factory --+
                |
    ClientFactory --+
                    |
      WrappingFactory --+
                        |
                       SpewingFactory

Method Summary
| `__init__(self, wrappedFactory)` (inherited from `WrappingFactory`)
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `WrappingFactory`)
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed. (inherited from `WrappingFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `WrappingFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``registerProtocol`(self, p)` Called by protocol to register itself. (inherited from `WrappingFactory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `WrappingFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)
| ``unregisterProtocol`(self, p)` Called by protocols when they go away. (inherited from `WrappingFactory`)

Class Variable Summary
`class` | `SpewingProtocol`

Class Variable Details

### SpewingProtocol

`SpewingProtocol` = `twisted.protocols.policies.SpewingProtocol`

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net